#!/bin/sh

IMAGE="../../Image/Grantley_CPLD_S2B_R09_2016-06-07.jed"
IP=$1
USER=$2
PASSWD=$3

#check architecture
CMD=`uname -m | cut -c 1-6`
if [ "$CMD" = "x86_64" ]; then
   cd Linux_x86_64
   echo Linux x86_64 Environment
   chmod 777 Yafuflash
   ./Yafuflash -nw -u $USER -p $PASSWD -vyes -ip $IP -cpld $IMAGE > ..\..\linuxflash\SYS.LOG 2>&1 || exit $?
else
   cd Linux_x86_32
   echo ""
   echo Linux x86 Environment
   chmod 777 Yafuflash
   ./Yafuflash -nw -u $USER -p $PASSWD -vyes -ip $IP -cpld $IMAGE > ..\..\linuxflash\SYS.LOG 2>&1 || exit $?
fi

cd ../..
